#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFF,0xF4,0x1A,0xB0,0x3B,0x65,0xE6,0x84,0xC4,0x1A,0x0E,0xD1,
		0x40,0x05,0xEB,0xEE,0xA3,0x29,0xAD,0x73,0x04,0x51,0xBC,0x00,
		0x0E,0xDF,0xF8,0xC2,0xCA,0x51,0xEA,0xAE,0x67,0x3F,0x02,0x6F,
		0x84,0x5A,0xE3,0xAE,0xF6,0x92,0x62,0x23,0x4D,0xB7,0x4C,0x44,
		0x05,0x73,0x76,0x1E,0xCE,0x38,0x04,0x34,0x93,0x6A,0x15,0x41,
		0xD0,0xEE,0x03,0x63,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
